<?php
namespace Teknisa\CRM\Controller;

use Teknisa\CRM\Controller\TeknisaCrud;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource\DataSet;

class crm00002009ItensOportunidadeController extends TeknisaCrud {
    protected $dataSourceName = 'crm_itensoportuni';
    protected $primaryKey = 'NRSEQITENSOPORTUNI';
    //protected $CDCONTADOR = 'CRMITENSOPORTUNI';

    public function save(DTO\Request $request, DTO\Response $response)
    {
        foreach($request->getDataSet()->getRows() as $row)
        {
            if($row["__is_new"])
            {
                $row['__new_code_pk'] = "CRMITENSOPORTUNI";
                $row['__table_pk'] = "NRSEQITENSOPORTUNI";
                $row['__cast_number'] = true;
                $row['__new_code_length'] = 1;
                $row["__columns_to_return"] = array("NRSEQITENSOPORTUNI", "DTINCLUSAO");
                $row['DSARVOREPROD'] = $row['NMPRODUTO'];
            }
        }
        
        parent::save($request, $response);
        
    }
}